Update a worker beneficiary
curl --request PATCH \
--url https://api.plane.com/v1/worker-beneficiaries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {},
"type": "<string>",
"relationship": "<string>",
"dob": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.plane.com/v1/worker-beneficiaries/{id}"
payload = {
"name": {},
"type": "<string>",
"relationship": "<string>",
"dob": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {},
type: '<string>',
relationship: '<string>',
dob: '<string>',
status: '<string>'
})
};
fetch('https://api.plane.com/v1/worker-beneficiaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Beneficiaries
Update a worker beneficiary
Update a worker beneficiary.
PATCH
/
v1
/
worker-beneficiaries
/
{id}
Update a worker beneficiary
Update a beneficiary’s details, or set
status to inactive to remove them
from future beneficiary selections.
Parameters
string
required
ID of the worker beneficiary.
object
The beneficiary’s name.
string
Beneficiary type. One of
individual, trust, estate, or organization.string
Relationship to the worker.
string
Date of birth for an individual beneficiary.
string
Beneficiary status. One of
active or inactive.Returns
Returns the updated Worker beneficiary object.Was this page helpful?
⌘I